Bug 120817 - Screen blanks at random
Screen blanks at random
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
http://freedesktop.org/bugzilla/show_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 02:42 EDT by Steve
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 16:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2004-04-14 02:42:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When I am in X windows and using KDE, sometimes the screen completely
blanks all of a sudden.  But when I move my mouse, the screen comes
back.  It resembles the monitor going into a blank screensaver but the
difference is that I am actively working in it so the screensaver
shouldn't activate.  This doesn't happen all the time but at random. 
However, it has happened quite a few times.

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Just doing something in KDE
2.
3.
    

Additional info:

I have a feeling that it is due to Fedora Core 2 Tests moving to
X.Org's version of X windows there is some quirk.
Comment 1 Petr Tuma 2004-05-03 06:19:13 EDT
Happens to me as well, using Gnome on ATI Radeon Mobility 9000 M9,
very much resembles screensaver kicking in at a random interval
regardless of whether one is typing or not. Interestingly, mouse move
wakes the screen, while keyboard clicking does not.
Comment 2 Norbert Savary 2004-05-26 07:49:56 EDT
I encounter exactly the same problem. My screen blanks randomly and
quite often (every 10 min or so) even when i'm typing or moving mouse.
I mention that my graphic card is a radeon 9600 (and is recognized as
a generic vesa card by the OS), and i have power management enabled
('standy after 20 min')


Additionnaly,  the blanks seems to last from one half to a few seconds.
Comment 3 Norbert Savary 2004-05-26 07:54:54 EDT
PS : I am using Fedora Core 2 (not test2).
Comment 4 Steve 2004-05-26 08:13:47 EDT
I'm using FC2 now and I had one instance of this screen blank.  I
should add that when it happens and I leave it, the monitor goes into
standby mode.  My video card is an Nvidia GeForce 2 and I'm using the
nvidia linux drivers.  I have FC2 on my laptop which has an ATI Radeon
7500 Mobility and I've never had this problem before.  Hope this helps.
Comment 5 Jonathan Rawle 2004-06-11 05:59:30 EDT
I have this problem with FC2. DPMS activates after 30 minutes, and 
again 10 minutes later, even though I'm using the computer. The 
monitor goes into standby if I let it, so it's definitely DPMS not a 
screensaver. 
 
Comment 6 Phil 2004-09-19 11:48:36 EDT
I was experiencing this problem for the longest time, ready to pull my
hair out.  I -think- I've found a workaround.  I've gone for three
days with no screen blanking.  I have a P4C 2.8GHz, on an i865PE
chipset, Shuttle AB60N mobo and Matrox Millennium G550.  I am running
Fedora Core 2.  Here is what I tried: I disabled hyperthreading and
APIC in the BIOS and then disabled the irqbalance daemon on FC2.  Note
that APIC and ACPI are not the same thing- that confused me for a
while.  ACPI is "Advanced Configuration and Power Interface" and
cannot be disabled in my Award BIOS, just minimally configured.  APIC
is "Advanced Programmable Interrupt Controller".  Not only are the
acroynyms similar, but I thought for the longest time that this was a
power management issue (APCI).  But it was so random, that got me
thinking that interrupt handling on my hyperthreaded system might be
at the root of the screen blanking.    
Comment 7 Jonathan Rawle 2004-09-19 13:45:27 EDT
I also found a work-around for this problem. In the ServerLayout 
section I added:  
  
        Option         "StandbyTime"  "30"  
        Option         "SuspendTime"  "0"  
        Option         "OffTime"  "0" 
 
This is probably preferable to disabling hyperthreading, although it 
doesn't help in pinpointing the problem. 
 
The bug seems to lie in x.org. See: 
 
http://freedesktop.org/bugzilla/show_bug.cgi?id=792 
 
Comment 8 Mike A. Harris 2004-09-20 16:45:04 EDT
Tracking issue in the X.Org bug tracker at freedesktop.org.  Please
do any followups in the X.Org bug report, so we can track this
issue in one place.

Thanks guys.
Comment 9 Phil 2004-11-16 01:02:21 EST
Thank you Mike.  I know this report is closed, and I'll follow it over
at freedesktop.org.  Just updating my earlier post to report that the
screen blanking still plagues me on Fedora Core 3 with the new x.org
6.8.1.  I had switched for a while to Ubuntu Linux with a patched
XFreex86 4.3.0 and had no blanking problems in two month's of use. 
X.org's promise of better rendering, translucent windows, drop shadows
and other cool features mean little when my PC monitor is narcoleptic.
 I experienced the same bug on Mandrake 10.1 and SUSE 9.1.  I'll
reinstall Ubuntu and follow the bug process over at freedesktop.org
(if I can get their bugtracker to come up). Hopefully, the community
can get this longstanding bug licked.

Note You need to log in before you can comment on or make changes to this bug.